KListViewSearchLineWidget Class Reference

`#include <klistviewsearchline.h>`

Inherits QHBox.

## Public Member Functions

| KListViewSearchLineWidget (KListView *listView=0, QWidget *parent=0, const char *name=0)
| ~KListViewSearchLineWidget ()
virtual KListViewSearchLine * | createSearchLine (KListView *listView)
KListViewSearchLine * | searchLine () const

## Protected Slots

virtual void | createWidgets ()

## Detailed Description

Creates a widget featuring a KListViewSearchLine, a label with the text "Search" and a button to clear the search.

Since
  3.4

Definition at line 219 of file klistviewsearchline.h.

## Constructor & Destructor Documentation

KListViewSearchLineWidget::KListViewSearchLineWidget | ( | KListView * | listView = `0`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Creates a KListViewSearchLineWidget for listView with parent as the parent with and name.

Definition at line 418 of file klistviewsearchline.cpp.

KListViewSearchLineWidget::~KListViewSearchLineWidget | ( |  | ) |

Destroys the KListViewSearchLineWidget.

Definition at line 431 of file klistviewsearchline.cpp.

## Member Function Documentation

KListViewSearchLine * KListViewSearchLineWidget::createSearchLine | ( | KListView * | listView | ) |

virtual

Creates the search line.

This can be useful to reimplement in cases where a KListViewSearchLine subclass is used.

Definition at line 436 of file klistviewsearchline.cpp.

void KListViewSearchLineWidget::createWidgets | ( |  | ) |

protected virtual slot

Creates the widgets inside of the widget.

This is called from the constructor via a single shot timer so that it it guaranteed to run after construction is complete. This makes it suitable for overriding in subclasses.

Definition at line 443 of file klistviewsearchline.cpp.

KListViewSearchLine * KListViewSearchLineWidget::searchLine | ( |  | ) | const

Returns a pointer to the search line.

Definition at line 466 of file klistviewsearchline.cpp.

The documentation for this class was generated from the following files:

- klistviewsearchline.h
- klistviewsearchline.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys